@use '../colors' as *;
@use '../spacing' as *;

nav {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    
    width: 100%;

    z-index: 1000;
    background-color: $BACKGROUND-PRIMARY;
}

.nav-items {
    margin: 0;
    padding: 0;

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    flex-wrap: wrap;

    width: 100%;
}

.nav-item {
    margin: 0;
    padding: 0;

    color: $FONT-PRIMARY;

    height: $NAV-BAR-HEIGHT;
    min-width: 100px;
    line-height: $NAV-BAR-HEIGHT;

    transition: 
        font-size 0.25s, 
        font-weight 0.25s, 
        background-color 0.5s;

    font-size: 1.05em;
    font-weight: 500;
    text-align: center;
    letter-spacing: 0.1em;
}

.nav-item:hover {
    margin: 0;
    padding: 0;

    color: $FOREGROUND-PRIMARY;
    background-color: $BACKGROUND-HIGHLIGHT;

    font-size: 1.055em;
    font-weight: 700;
}

.nav-items > a, 
.nav-items > a:visited {
    text-decoration: none;
    color: $FONT-PRIMARY;
}

@media (min-width: 150px) and (max-width: 575px) {
    .nav-items {
        justify-content: center;
    }
}

@media (min-width: 576px) {
    .nav-items {
        justify-content: flex-start;
    }
}
